%define _with_mp3 1
#
# spec file for package scummvm-tools
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with mp3

Name:           scummvm-tools
Version:        1.4.0
Release:        4.1
Summary:        ScummVM-related tools
License:        GPL-2.0+
Group:          Amusements/Games/Other
Url:            http://www.scummvm.org
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
# PATCH-FIX-UPSTREAM scummvm-tools-boost.patch
Patch0:         scummvm-tools-boost.patch
BuildRequires:  boost-devel >= 1.32.0
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
%define _use_internal_dependency_generator 0
%define __find_requires %wx_requires
BuildRequires:  wxWidgets-devel
BuildRequires:  pkgconfig(flac) >= 1.1.3
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng) >= 1.2.8
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisenc)
BuildRequires:  pkgconfig(zlib)
%if %{with mp3}
BuildRequires:  pkgconfig(mad)
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a collection of various tools that may be useful to use in
conjunction with ScummVM.
Please note that although a tool may support a feature, certain ScummVM
versions may not. ScummVM 0.6.x does not support FLAC audio, for example.

Many games package together all their game data in a few big archive files.
The following tools can be used to extract these archives, and in some cases
are needed to make certain game versions usable with ScummVM.

The following tools can also be used to analyze the game scripts
(controlling the behavior of certain scenes and actors in a game).
These tools are most useful to developers.

%prep
%setup -q
%patch0 -p1
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" version.cpp
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M:%%S')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" version.cpp

%build
CXXFLAGS="${CXXFLAGS:-%{optflags}}" ; export CXXFLAGS
./configure --prefix=%{_prefix} \
            --enable-verbose-build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
make DESTDIR=%{buildroot} install
install -p -D -m 644 gui/media/scummvmtools_128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%defattr(0644,root,root,0755)
%doc COPYING README TODO
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Nov 24 2012 joop.boonen@opensuse.org
- Added a boost fix patch see:
  https://svn.boost.org/trac/boost/ticket/6943
* Mon Apr  9 2012 reddwarf@opensuse.org
- update to new 1.4.0 release
  * Updated the compress_sci tool to add support for compressing
    the AUDIO001.002 audio files of the CD versions of
    King's Quest 5 and Jones in the Fast Lane.
* Thu Jun  2 2011 reddwarf@opensuse.org
- update to new 1.3.0 release
  * Fix bug #3092367: "TOOLS: Improve GUI for Ogg encoding options"
* Thu Jan 20 2011 reddwarf@opensuse.org
- Fix >=11.4 build
* Mon Oct 11 2010 reddwarf@opensuse.org
- update to new 1.2.0 release
* Thu May  6 2010 cmorve69@yahoo.es
- update to new 1.1.1 release
* Sat May  1 2010 cmorve69@yahoo.es
- update to new 1.1.0 release
* Fri Mar  6 2009 cmorve69@yahoo.es
- First package separated from scummvm. Based on Fedora.
